#include "stdafx.h"
#include "MIAC_AllCode.h"
#include <windows.h>

int main()
{
	//Communications Mode - 0 = Bluetooth or Serial / 1 = WIFI Network
	char commsMode = 1;         

	//Create variable to hold port number
	char PortNumber;
		
	if (commsMode == 0)
	{
		//Remember to change this to match your MIAC AllCode COM port number	
		PortNumber = 63;

		//Open Port
		MA_ComOpen(PortNumber);
	}
	else
	{
		//Remember to change this to match your MIAC AllCode network instance	
		PortNumber = 0;

		//Open Port - Remember to set the correct IP address for the MIAC
		MA_IPOpen(PortNumber, 192, 168, 1, 31);
	}

	Sleep(1000);

	MA_WriteRelay(PortNumber, 1, 1);	//Relay 1 On
	Sleep(500);
	MA_WriteRelay(PortNumber, 2, 1);	//Relay 2 On
	Sleep(500);
	MA_WriteRelay(PortNumber, 3, 1);	//Relay 3 On
	Sleep(500);
	MA_WriteRelay(PortNumber, 4, 1);	//Relay 4 On
	Sleep(500);

	MA_WriteRelay(PortNumber, 1, 0);	//Relay 1 Off
	Sleep(500);
	MA_WriteRelay(PortNumber, 2, 0);	//Relay 2 Off
	Sleep(500);
	MA_WriteRelay(PortNumber, 3, 0);	//Relay 3 Off
	Sleep(500);
	MA_WriteRelay(PortNumber, 4, 0);	//Relay 4 Off
	Sleep(500);

	if (commsMode == 0)
	{
		//Close COM Port
		MA_ComClose(PortNumber);
	}
	else
	{
		//Close Network Port
		MA_IPClose(PortNumber);
	}



    return 0;
}


